Webhooks
Create webhook
Authorization
basic auth AuthorizationBasic <token>
Authorization header with value of Basic <auth string> where the auth string value
is a base64 encoded string of <client id>:<client secret>
In: header
Request Body
application/json
webhook*string
Format
urlevents*array<WebHookEventName>
Items
1 <= itemsplatform_level?boolean
When true, this webhook fires for events from this partner and all sub-partners in the tree
Response Body
application/json
curl -X POST "https://api.verticalinsure.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "webhook": "https://www.example.com/my-webhook", "events": [ "policy_bind_complete" ] }'{
"events": [
"policy_bind_complete"
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"webhook": "https://www.example.com/my-webhook",
"signature_key": "wh_AsDfASjklh123hGh3asHDgfdDfgh",
"platform_level": true,
"version": 0,
"created_at": "2019-08-24T14:15:22Z"
}